package com.yijia.customer.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 客户电子会员卡充值优惠设置对象 customer_card_setting
 *
 * @author yijia
 * @date 2021-04-06
 */
public class CustomerCardSetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 电子充值卡油类类型：1.柴油；2.汽油； */
    @Excel(name = "电子充值卡油类类型：1.柴油；2.汽油；")
    private String cardOilsType;

    /** 会员活动设置（0.禁用，1.启用） */
    @Excel(name = "会员活动设置", readConverterExp = "0=.禁用，1.启用")
    private String discountTimeSetting;

    /** 会员日活动时间 */
    @Excel(name = "会员日活动时间")
    private String discountTime;
    private String discountTimeType;
    /** 赠送比例 */
    @Excel(name = "赠送比例")
    private String presentScale;

    /** 是否可以使用优惠券：0，否；1，是 */
    @Excel(name = "是否可以使用优惠券：0，否；1，是")
    private String isDiscountCoupon;

    /** 积分可享受倍数 */
    @Excel(name = "积分可享受倍数")
    private String enjoyIntegralMultiple;

    /** 油站ID */
    private Long stationId;

    private String StationName;

    private String isGradeSetting;

    private String isMarket;

    private String delFlag;
    private String cardEnabledFlag;

    public String getCardEnabledFlag() {
        return cardEnabledFlag;
    }

    public void setCardEnabledFlag(String cardEnabledFlag) {
        this.cardEnabledFlag = cardEnabledFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getIsGradeSetting() {
        return isGradeSetting;
    }

    public void setIsGradeSetting(String isGradeSetting) {
        this.isGradeSetting = isGradeSetting;
    }

    public String getIsMarket() {
        return isMarket;
    }

    public void setIsMarket(String isMarket) {
        this.isMarket = isMarket;
    }

    public String getDiscountTimeType() {
        return discountTimeType;
    }

    public void setDiscountTimeType(String discountTimeType) {
        this.discountTimeType = discountTimeType;
    }

    private List<CustomerCardSettingDetail> detailList;

    public List<CustomerCardSettingDetail> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<CustomerCardSettingDetail> detailList) {
        this.detailList = detailList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCardOilsType(String cardOilsType)
    {
        this.cardOilsType = cardOilsType;
    }

    public String getCardOilsType()
    {
        return cardOilsType;
    }
    public void setDiscountTimeSetting(String discountTimeSetting)
    {
        this.discountTimeSetting = discountTimeSetting;
    }

    public String getDiscountTimeSetting()
    {
        return discountTimeSetting;
    }
    public void setDiscountTime(String discountTime)
    {
        this.discountTime = discountTime;
    }

    public String getDiscountTime()
    {
        return discountTime;
    }
    public void setPresentScale(String presentScale)
    {
        this.presentScale = presentScale;
    }

    public String getPresentScale()
    {
        return presentScale;
    }
    public void setIsDiscountCoupon(String isDiscountCoupon)
    {
        this.isDiscountCoupon = isDiscountCoupon;
    }

    public String getIsDiscountCoupon()
    {
        return isDiscountCoupon;
    }
    public void setEnjoyIntegralMultiple(String enjoyIntegralMultiple)
    {
        this.enjoyIntegralMultiple = enjoyIntegralMultiple;
    }

    public String getEnjoyIntegralMultiple()
    {
        return enjoyIntegralMultiple;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }

    public String getStationName() {
        return StationName;
    }

    public void setStationName(String stationName) {
        StationName = stationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cardOilsType", getCardOilsType())
            .append("discountTimeSetting", getDiscountTimeSetting())
            .append("discountTime", getDiscountTime())
            .append("discountTimeType", getDiscountTimeType())
            .append("presentScale", getPresentScale())
            .append("isDiscountCoupon", getIsDiscountCoupon())
            .append("enjoyIntegralMultiple", getEnjoyIntegralMultiple())
            .append("stationId", getStationId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
